## libxrender 0.9.10-1+apricot-1

=== debian/changelog ===
libxrender (1:0.9.10-1+apricot-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
    - Fixes CVE-2016-7949 and CVE-2016-7950 (Closes: #840443).
  * Update d/upstream/signing-key.asc with Matthieu Herrb's key.
  * Update a bunch of URLs in packaging to https.
  * Remove obsolete xsfbs.
  * Bump Standards-Version to 3.9.8, no changes needed.

  [ Emilio Pozuelo Monfort ]
  * Bump debhelper compat to 10.
    + debhelper now calls autoreconf for us.
    + Parallel builds are now enabled by default.
  * Switch to dbgsym packages.
  * debhelper passes --disable-silent-rules for us.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 05 Dec 2016 19:52:42 +0100

libxrender (1:0.9.9-2) unstable; urgency=medium

  * Team upload.
  * Restore separate build directory.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Oct 2015 11:23:44 +0000

libxrender (1:0.9.9-1) sid; urgency=medium

  * Team upload.
  * New upstream release.
  * Let uscan verify upstream tarball signatures.
  * Bump libx11-dev build-dep to 2:1.6 per configure.ac.
  * Switch to dh and dh-autoreconf.
  * Remove Cyril from Uploaders.
  * Bump Standards-Version to 3.9.6, update Vcs-* control fields.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Oct 2015 10:53:59 +0000

libxrender (1:0.9.8-1) sid; urgency=low

  * New upstream release.
  * Bump debhelper compat level to 7.
  * Use dpkg-buildflags.
  * Disable silent build rules.
  * Use dh_prep instead of dh_clean -k.

 -- Julien Cristau <jcristau@debian.org>  Sun, 30 Jun 2013 19:34:07 +0200

libxrender (1:0.9.7-1+deb7u1) wheezy-security; urgency=high

  * integer overflows calculating memory needs for replies [CVE-2013-1987]

 -- Julien Cristau <jcristau@debian.org>  Tue, 14 May 2013 19:28:26 +0200

libxrender (1:0.9.7-1) unstable; urgency=low

  * New upstream release.
  * Don't require (fake)root for debian/rules clean.
  * Add Multi-Arch: same for libxrender-dev.
  * Bump xutils-dev build-dep for newer macros.

 -- Julien Cristau <jcristau@debian.org>  Sat, 21 Apr 2012 11:44:34 +0200

libxrender (1:0.9.6-2) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Build for multiarch.

  [ Julien Cristau ]
  * Add build-arch and (empty) build-indep debian/rules targets.
  * Remove David Nusinow, Brice Goglin and Andres Salomon from Uploaders.
  * Bump Standards-Version to 3.9.2.

 -- Julien Cristau <jcristau@debian.org>  Sun, 12 Jun 2011 10:19:50 +0200

libxrender (1:0.9.6-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright from upstream COPYING.
  * Bump Standards-Version to 3.9.0.

 -- Julien Cristau <jcristau@debian.org>  Sun, 11 Jul 2010 13:26:35 +0100

libxrender (1:0.9.5-2) unstable; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders

  [ Cyril Brulebois ]
  * Add udeb needed for the graphical installer: libxrender1-udeb.
  * Bump the B-D on libx11-dev to ensure libxrender1-udeb gets a
    dependency on libx11-6-udeb.
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Add ${misc:Depends} to non-udeb binaries, and wrap Depends.
  * Add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 11 Mar 2010 02:02:29 +0100

libxrender (1:0.9.5-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
  * Run autoreconf on build. Add build-deps on automake, libtool
    and xutils-dev.
  * Parse space-separated DEB_BUILD_OPTIONS, and handle parallel=N.
  * Bump Standards-Version to 3.8.3.
  * Move -dbg package to section debug.
  * Drop pre-dependency on x11-common from libxrender-dev. This was needed
    for upgrades from sarge.

  [ Julien Cristau ]
  * Install the libXrender doc in libxrender-dev.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Nov 2009 19:38:16 +0100

libxrender (1:0.9.4-2) unstable; urgency=low

  * Pull upstream master up to commit f6f784c0.
  * Fix typo in long descriptions, thanks Justin Pryzby, closes: #459819.
  * Add a link to www.X.org and a reference to the upstream module
    in the long description.
  * Bump Standards-Version to 3.7.3 (no changes).
  * Drop the XS- prefix from Vcs-Git and Vcs-Browser fields in debian/control.
  * Drop CVS header from debian/copyright.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 13 Jun 2008 18:55:08 +0200

libxrender (1:0.9.4-1) unstable; urgency=low

  * New upstream release.
    + Fix for renderproto 0.9.3, include Xlib.h before render.h in Xrender.h
      (closes: #442824).
  * Add myself to Uploaders.

 -- Julien Cristau <jcristau@debian.org>  Mon, 17 Sep 2007 09:57:00 +0200

libxrender (1:0.9.3-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders, and remove Branden and Fabio with their
    permission.
  * Replace ${Source-Version}) with ${binary:Version}.
  * Add upstream URL to debian/copyright.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 25 Aug 2007 11:41:18 +0200

libxrender (1:0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Drop obsolete CVS info from the descriptions, and add XS-Vcs-*.
  * Install the upstream changelog.

 -- Julien Cristau <jcristau@debian.org>  Thu, 12 Apr 2007 14:00:20 +0200

libxrender (1:0.9.1-3) unstable; urgency=low

  * Actually upload to unstable. Thanks Drew for catching this.

 -- David Nusinow <dnusinow@debian.org>  Wed, 30 Aug 2006 20:20:16 -0400

libxrender (1:0.9.1-2) experimental; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Wed, 30 Aug 2006 18:18:04 -0400

libxrender (1:0.9.1-1) experimental; urgency=low

  * New upstream release.
  * Autoreconf w/ an updated xutils-dev so that manpages have the 'x'
    extension dropped.
  * Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fi.
  * Run dh_install w/ --list-missing.
  * Bump standards version to 3.7.2.0.
  * Version x11-common pre-dep in -dev package to 1:7.0.0 to match

