=== debian/control ===
Source: libxrender
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends:
 debhelper (>= 10),
 pkg-config,
 libx11-dev (>= 2:1.6),
 x11proto-render-dev,
 x11proto-core-dev,
 xutils-dev (>= 1:7.5+4),
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/lib/libxrender.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/lib/libxrender.git

Package: libxrender1
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X Rendering Extension client library
 The X Rendering Extension (Render) introduces digital image composition as
 the foundation of a new rendering model within the X Window System.
 Rendering geometric figures is accomplished by client-side tessellation into
 either triangles or trapezoids.  Text is drawn by loading glyphs into the
 server and rendering sets of them.  The Xrender library exposes this
 extension to X clients.
 .
 More information about X.Org can be found at:
 <URL:https://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXrender

Package: libxrender1-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${shlibs:Depends},
Description: X Rendering Extension client library
 This is a udeb, or a microdeb, for the debian-installer.

Package: libxrender-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libxrender1 (= ${binary:Version}),
 libx11-dev (>= 2:1.0.0),
 x11proto-render-dev,
 x11proto-core-dev,
 ${misc:Depends},
Description: X Rendering Extension client library (development files)
 The X Rendering Extension (Render) introduces digital image composition as
 the foundation of a new rendering model within the X Window System.
 Rendering geometric figures is accomplished by client-side tessellation into
 either triangles or trapezoids.  Text is drawn by loading glyphs into the
 server and rendering sets of them.  The Xrender library exposes this
 extension to X clients.
 .
 This package provides a static library and C header files.
 .
 More information about X.Org can be found at:
 <URL:https://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXrender
