=== debian/watch ===
#git=git://anongit.freedesktop.org/xorg/lib/libXrender
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://xorg.freedesktop.org/releases/individual/lib/ libXrender-(.*)\.tar\.gz
